=== debian/control ===
Source: lucene-solr
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Mat Scales <mat@wibbly.org.uk>, James Page <james.page@ubuntu.com>
Homepage: http://lucene.apache.org
Standards-Version: 3.9.3
Build-Depends:
 ant,
 ant-optional,
 debhelper (>= 8),
 default-jdk,
 javacc,
 jflex,
 junit4,
 libavalon-framework-java,
 libcommons-beanutils-java,
 libcommons-codec-java (>= 1.6),
 libcommons-collections3-java,
 libcommons-compress-java,
 libcommons-digester-java,
 libcommons-fileupload-java (>= 1.2.1),
 libcommons-httpclient-java (>= 3.1),
 libcommons-io-java (>= 1.4),
 libcommons-lang-java,
 libcommons-logging-java,
 libeasymock-java,
 libexcalibur-logkit-java,
 libgeronimo-stax-1.2-spec-java,
 libguava-java,
 libhttpclient-java (>= 4.1.1),
 libhttpmime-java,
 libicu4j-4.4-java,
 libjetty-java (>= 6.1.21),
 libjmock-java,
 liblog4j1.2-java,
 libregexp-java,
 libservlet2.5-java (>= 6.0.20),
 libslf4j-java (>= 1.6.1),
 libtomcat6-java,
 libwoodstox-java,
 libxerces2-java,
 libxml-commons-external-java,
 libxml-commons-resolver1.1-java,
 maven-repo-helper (>= 1.5~),
 po-debconf
Vcs-Git: git://git.debian.org/git/pkg-java/lucene-solr.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/lucene-solr.git

Package: liblucene3-java
Architecture: all
Depends: ${misc:Depends}
Suggests: ant, ant-optional, junit4
Recommends: liblucene3-contrib-java
Description: Full-text search engine library for Java(TM)
 Lucene is a full-text search engine for the Java(TM) programming language.
 Lucene is not a complete application, but rather a code library and API
 that can easily be used to add search capabilities to applications.
 .
 This package contains the Lucene core library.

Package: liblucene3-contrib-java
Architecture: all
Depends: liblucene3-java, ${misc:Depends}
Suggests: liblucene3-java-doc
Recommends:
 libavalon-framework-java,
 libcommons-beanutils-java,
 libcommons-codec-java (>= 1.6),
 libcommons-collections3-java,
 libcommons-compress-java,
 libcommons-digester-java,
 libcommons-logging-java,
 libexcalibur-logkit-java,
 libicu4j-4.4-java,
 liblog4j1.2-java,
 libregexp-java,
 libxerces2-java,
 libxml-commons-external-java,
 libxml-commons-resolver1.1-java
Description: Full-text search engine library for Java(TM)
 Lucene is a full-text search engine for the Java(TM) programming language.
 Lucene is not a complete application, but rather a code library and API
 that can easily be used to add search capabilities to applications.
 .
 This package contains a number of additional (contributed) libraries.

Package: liblucene3-java-doc
Architecture: all
Section: doc
Suggests: liblucene3-java
Depends: ${misc:Depends}
Description: Documentation for Lucene
 Lucene is a full-text search engine for the Java(TM) programming language.
 Lucene is not a complete application, but rather a code library and API
 that can easily be used to add search capabilities to applications.
 .
 This package contains class API documentation for Lucene.

Package: libsolr-java
Architecture: all
Depends:
 libcommons-codec-java (>= 1.6),
 libcommons-fileupload-java (>= 1.2.1),
 libcommons-httpclient-java (>= 3.1),
 libcommons-io-java (>= 1.4),
 libcommons-lang-java,
 libcommons-logging-java,
 libgeronimo-stax-1.2-spec-java,
 libguava-java,
 libhttpclient-java (>= 4.1.1),
 libhttpmime-java,
 liblucene3-contrib-java,
 liblucene3-java,
 libservlet2.5-java (>= 6.0.20),
 libslf4j-java (>= 1.6.1),
 libwoodstox-java,
 ${misc:Depends}
Breaks: solr-common (<< 3.6.0-1)
Replaces: solr-common (<< 3.6.0-1)
Suggests:
 junit4,
 libeasymock-java,
 libjetty-extras-java,
 libjetty-java,
 libsolr-java-doc
Description: Enterprise search server based on Lucene - Java libraries
 Solr is an open source enterprise search server based on the Lucene
 Java search library, with XML/HTTP and JSON APIs, hit highlighting,
 faceted search, caching, replication, and a web administration
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the Java libraries required to support execution
 of solr.

Package: solr-common
Architecture: all
Depends:
 curl,
 debconf (>= 1.5),
 default-jre-headless | java5-runtime-headless | java6-runtime-headless,
 libjs-jquery,
 libsolr-java (= ${binary:Version}),
 procps,
 ${misc:Depends}
Recommends: solr-tomcat (= ${binary:Version}) | solr-jetty (= ${binary:Version})
Suggests: libmysql-java
Description: Enterprise search server based on Lucene3 - common files
 Solr is an open source enterprise search server based on the Lucene
 Java search library, with XML/HTTP and JSON APIs, hit highlighting,
 faceted search, caching, replication, and a web administration
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the common files for Solr. Install
 solr-tomcat or solr-jetty to use Solr under Tomcat or Jetty.
 .
 This package also contains the dataimporthandler contrib while omiting
 dataimporthandler-extras, clustering, extraction and velocity due to missing
 dependencies.
 .
 libmysql-java is necessary to connect the dataimporthandler to MySQL.

Package: solr-tomcat
Architecture: all
Depends: solr-common (= ${binary:Version}), tomcat6, ${misc:Depends}
Conflicts: solr-jetty, solr-tomcat6
Description: Enterprise search server based on Lucene3 - Tomcat integration
 Solr is an open source enterprise search server based on the Lucene
 Java search library, with XML/HTTP and JSON APIs, hit highlighting,
 faceted search, caching, replication, and a web administration
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the Tomcat integration files for Solr.

Package: solr-jetty
Architecture: all
Depends:
 jetty (>= 6.1.22),
 libjetty-extra-java (>= 6.1.22),
 solr-common (= ${binary:Version}),
 ${misc:Depends}
Conflicts: solr-tomcat, solr-tomcat6
Description: Enterprise search server based on Lucene3 - Jetty integration
 Solr is an open source enterprise search server based on the Lucene
 Java search library, with XML/HTTP and JSON APIs, hit highlighting,
 faceted search, caching, replication, and a web administration
 interface. It runs in a Java servlet container such as Tomcat.
 .
 This package provides the Jetty integration files for Solr.
