## lucene-solr 3.6.1+dfsg

=== debian/changelog ===
lucene-solr (3.6.1+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Add dependency on JDK for solr-jetty (LP: #1046732):
    - d/control: Add extra Depends on default-jdk | java5-jdk as jetty
      requires a full JDK to support use of JSP's which solr uses. 

 -- James Page <james.page@ubuntu.com>  Wed, 21 Nov 2012 09:31:05 +0000
