=== debian/control ===
--- 
+++ 
@@ -178,6 +178,7 @@
  jetty (>= 6.1.22),
  libjetty-extra-java (>= 6.1.22),
  solr-common (= ${binary:Version}),
+ default-jdk | java5-sdk,
  ${misc:Depends}
 Conflicts: solr-tomcat, solr-tomcat6
 Description: Enterprise search server based on Lucene3 - Jetty integration
