## lucene-solr 3.6.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Mat Scales <mat@wibbly.org.uk>, James Page <james.page@ubuntu.com>
-Homepage: http://lucene.apache.org
-Standards-Version: 3.9.3
+Uploaders: Mat Scales <mat@wibbly.org.uk>, James Page <james.page@ubuntu.com>,
+ Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends:
  ant,
  ant-optional,
- debhelper (>= 8),
+ bnd (>= 2.1.0),
+ debhelper (>= 9),
  default-jdk,
  javacc,
  jflex,
@@ -26,33 +26,34 @@
  libcommons-logging-java,
  libeasymock-java,
  libexcalibur-logkit-java,
- libgeronimo-stax-1.2-spec-java,
  libguava-java,
  libhttpclient-java (>= 4.1.1),
  libhttpmime-java,
  libicu4j-4.4-java,
- libjetty-java (>= 6.1.21),
+ libjetty8-java (>= 8.1.16-2~),
  libjmock-java,
  liblog4j1.2-java,
  libregexp-java,
- libservlet2.5-java (>= 6.0.20),
+ libservlet3.0-java,
  libslf4j-java (>= 1.6.1),
- libtomcat6-java,
+ libtomcat7-java,
  libwoodstox-java,
  libxerces2-java,
  libxml-commons-external-java,
  libxml-commons-resolver1.1-java,
  maven-repo-helper (>= 1.5~),
  po-debconf
-Vcs-Git: git://git.debian.org/git/pkg-java/lucene-solr.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/lucene-solr.git
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/lucene-solr.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/lucene-solr.git
+Homepage: http://lucene.apache.org
 
 Package: liblucene3-java
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: ant, ant-optional, junit4
 Recommends: liblucene3-contrib-java
-Description: Full-text search engine library for Java(TM)
+Description: Full-text search engine library for Java - core library
  Lucene is a full-text search engine for the Java(TM) programming language.
  Lucene is not a complete application, but rather a code library and API
  that can easily be used to add search capabilities to applications.
@@ -78,7 +79,7 @@
  libxerces2-java,
  libxml-commons-external-java,
  libxml-commons-resolver1.1-java
-Description: Full-text search engine library for Java(TM)
+Description: Full-text search engine library for Java - additional libraries
  Lucene is a full-text search engine for the Java(TM) programming language.
  Lucene is not a complete application, but rather a code library and API
  that can easily be used to add search capabilities to applications.
@@ -106,13 +107,12 @@
  libcommons-io-java (>= 1.4),
  libcommons-lang-java,
  libcommons-logging-java,
- libgeronimo-stax-1.2-spec-java,
  libguava-java,
  libhttpclient-java (>= 4.1.1),
  libhttpmime-java,
  liblucene3-contrib-java,
  liblucene3-java,
- libservlet2.5-java (>= 6.0.20),
+ libservlet3.0-java,
  libslf4j-java (>= 1.6.1),
  libwoodstox-java,
  ${misc:Depends}
@@ -121,8 +121,8 @@
 Suggests:
  junit4,
  libeasymock-java,
- libjetty-extras-java,
- libjetty-java,
+ libjetty8-extras-java (>= 8.1.16-2~),
+ libjetty8-java (>= 8.1.16-2~),
  libsolr-java-doc
 Description: Enterprise search server based on Lucene - Java libraries
  Solr is an open source enterprise search server based on the Lucene
@@ -162,7 +162,7 @@
 
 Package: solr-tomcat
 Architecture: all
-Depends: solr-common (= ${binary:Version}), tomcat6, ${misc:Depends}
+Depends: solr-common (= ${binary:Version}), tomcat7 | tomcat7-user, ${misc:Depends}
 Conflicts: solr-jetty, solr-tomcat6
 Description: Enterprise search server based on Lucene3 - Tomcat integration
  Solr is an open source enterprise search server based on the Lucene
@@ -175,8 +175,8 @@
 Package: solr-jetty
 Architecture: all
 Depends:
- jetty (>= 6.1.22),
- libjetty-extra-java (>= 6.1.22),
+ jetty8 (>= 8.1.16-2~),
+ libjetty8-extra-java,
  solr-common (= ${binary:Version}),
  default-jdk | java5-sdk,
  ${misc:Depends}
