## lucene-solr 3.6.2+dfsg

=== debian/changelog ===
lucene-solr (3.6.2+dfsg-8ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Remote code execution via an XXE
    - debian/patches/CVE-2017-12629-1.patch: SOLR-11477: Disallow resolving of
      external entities in Lucene queryparser/xml/CoreParser
    - debian/patches/CVE-2017-12629-2.patch: RunExecutableListener was removed
      for security reasons
    - CVE-2017-12629

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 28 Jan 2020 09:00:46 -0500

lucene-solr (3.6.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0.
  * Fix Lintian warning empty-short-license-in-dep5-copyright.
  * Fix Lintian warnings command-with-path-in-maintainer-script.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Thu, 19 Nov 2015 22:13:50 +0100

lucene-solr (3.6.2+dfsg-7) unstable; urgency=medium

  * Add OSGi metadata to JAR manifests
  * Add Jakub Adam to Uploaders
  * Update file paths in d/copyright

 -- Jakub Adam <jakub.adam@ktknet.cz>  Mon, 03 Aug 2015 15:49:56 +0200

lucene-solr (3.6.2+dfsg-6) unstable; urgency=medium

  * Team upload.

  [ Emmanuel Bourg ]
  * Removed the dependency on libgeronimo-stax-1.2-spec-java
  * Fixed a test failure with commons-codec 1.10
  * Fixed a test failure with Java 8 (Closes: #760927)
  * Use XZ compression for the upstream tarball
  * debian/watch: No longer use the defunct githubredir.debian.net redirector

  [ Victor Seva ]
  * solr-tomcat: allow tomcat7-user as depends (Closes: #606138)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 13 Jul 2015 14:45:06 +0200

lucene-solr (3.6.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fixed the deployment with Jetty 8 (Closes: #752547, #767525)
  * Enable the symbolic links with Jetty (Closes: #701876)
  * Fixed the path to dpkg-statoverride in solr-jetty.postrm (Closes: #767519)

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 31 Oct 2014 19:28:25 +0100

lucene-solr (3.6.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Switched the dependencies to tomcat7, libservlet3.0-java and jetty8
  * Fixed a format issue with CVE-2013-6397.patch
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 06 Oct 2014 15:47:56 +0200

lucene-solr (3.6.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add tomcat-coyote to debian/build-jars to address FTBFS.
    (Closes: #749364)
  * Update Vcs- URLs in debian/control.
  * Use debhelper 9.
  * Bump Standards-Version to 3.9.5.

 -- tony mancill <tmancill@debian.org>  Tue, 10 Jun 2014 22:29:19 -0700

lucene-solr (3.6.2+dfsg-2) unstable; urgency=low

  * Fixes for new security vulnerabilities (Closes: #731113):
    - debian/patches/CVE-2013-6397.patch:
      Fix DocumentAnalysisRequestHandler to correctly use
      EmptyEntityResolver to prevent loading of external entities like
      UpdateRequestHandler does.
      CVE-2013-6397
    - debian/patches/CVE-2013-6407_CVE-2013-6408.patch:
      XML and XSLT UpdateRequestHandler should not try to
      resolve external entities. This improves speed of loading e.g.
      XSL-transformed XHTML documents.
      CVE-2013-6407
      Fix XML parsing in XPathEntityProcessor to correctly
      expand named entities, but ignore external entities.
      CVE-2013-6408

 -- James Page <james.page@ubuntu.com>  Sat, 14 Dec 2013 22:07:54 +0000

lucene-solr (3.6.2+dfsg-1) unstable; urgency=low

  * Upload to unstable.

 -- James Page <james.page@ubuntu.com>  Thu, 16 May 2013 10:45:27 +0100

lucene-solr (3.6.2+dfsg-1~exp1) experimental; urgency=low

  [ tony mancill ]
  * solr-jetty: correct symlink to solr in /var/lib/jetty/webapps/
    (Closes: #696347)

  [ James Page ]
  * New upstream release.
  * d/copyright: Removed surplus GPL-2 paragraph.
  * d/control: Tidied short descriptions.

 -- James Page <james.page@ubuntu.com>  Mon, 07 Jan 2013 14:23:47 +0000
