=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lucene-solr
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Mat Scales <mat@wibbly.org.uk>, James Page <james.page@ubuntu.com>,
  Jakub Adam <jakub.adam@ktknet.cz>
 Build-Depends:
