=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/apache/lucene-solr/tags .*/lucene_solr_(\d+)_(\d+)_(\d+).tar.gz debian debian/orig-tar.sh
